# Uses of Class
org.apache.qpid.proton.amqp.transaction.TransactionalState

Packages that use TransactionalState
Package
Description
org.apache.qpid.proton.codec.transaction

## Uses of TransactionalState in org.apache.qpid.proton.codec.transaction

Methods in org.apache.qpid.proton.codec.transaction that return TransactionalState
Modifier and Type
Method
Description
`TransactionalState`
TransactionalStateType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transaction that return types with arguments of type TransactionalState
Modifier and Type
Method
Description
`Class<TransactionalState>`
TransactionalStateType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transaction with parameters of type TransactionalState
Modifier and Type
Method
Description
`protected List`
TransactionalStateType.`wrap(TransactionalState val)`
Constructors in org.apache.qpid.proton.codec.transaction with parameters of type TransactionalState
Modifier
Constructor
Description
``
`TransactionalStateWrapper(TransactionalState transactionalState)`